Namespace
library
Image / Tag
consul:1.7.0-beta2
Content Digest
sha256:0f290e84cdfd83a68259f120ba26aaf2083b886f2f3f48ba216bccce2e197fc0
Details
Created

2020-01-23 17:57:18 UTC

Size

43.6 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:fd25584d30bfc37afa2d99f41ef0a7055a4f2923907582dd992194fb4aa13f1c - 6.05% (2.64 MB)

[#001] sha256:dfa455bdfb771a63862e0d914d478d049f254e78e9458a16fa4b91b9fc42d3ba - 0.0% (1.23 KB)

[#002] sha256:c0a47e7e523d5f5eec0072722a6db528a499125fb28eae0923e2b5ff600aa3f8 - 93.94% (41 MB)

[#003] sha256:e394821502848cc8c5848d9af6db5c2a2f2db328f8729addd7aa7e8446a1fce4 - 0.0% (143 Bytes)

[#004] sha256:4793a54b097acc761951c6e7625cbee41b8ec0268364fbf37b8eae273986e347 - 0.0% (154 Bytes)

[#005] sha256:81b1b56b50e71ac7df8086492a2342d226e8f7550e0729f43a07219be1089ede - 0.0% (1.66 KB)


History
2020-01-23 16:53:05 UTC

/bin/sh -c #(nop) ADD file:4e7195ad2b3e9b85e4596b4a73719eb294f2a293a05b7b8e6096c4cfac0c6fde in /

2020-01-23 16:53:05 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:57:03 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-23 17:57:03 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta2

2020-01-23 17:57:04 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-23 17:57:05 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-23 17:57:13 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-23 17:57:14 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-23 17:57:16 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-23 17:57:16 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-23 17:57:16 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-23 17:57:17 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-23 17:57:17 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-23 17:57:17 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-23 17:57:18 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-23 17:57:18 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-01-23 17:15:24 UTC

Size

44.7 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9123ac7c32f74759e6283f04dbf571f18246abe5bb2c779efcb32cd50f3ff13c - 5.89% (2.64 MB)

[#001] sha256:c548cfd91bb04ae32c9cd961ba485f824b86c8ea6cebc3a1d2780d3c39a505b5 - 0.0% (1.23 KB)

[#002] sha256:9f4a1b0796cd38161afa43137eb0161ba3068f195b813128bb1d071b63e581e8 - 94.1% (42.1 MB)

[#003] sha256:c8334f89d0e6059ccf8b936cc5b32980325762c456adb602cb8f0ce652d1ffe8 - 0.0% (143 Bytes)

[#004] sha256:c4697678dcab7361fa111deb24fe344f5e4c7a805c2fd9a28e829c49d2bde02b - 0.0% (155 Bytes)

[#005] sha256:69594f82300dc8ddfdc3352936b4abca6f3a23f7e4fb7065a288030bb92fb840 - 0.0% (1.67 KB)


History
2020-01-23 16:53:17 UTC

/bin/sh -c #(nop) ADD file:f4f85ec73d7cc949662413419f8eafb31dabaa6e12cd21b7c8d5a9ef0d5b9681 in /

2020-01-23 16:53:17 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:15:11 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-23 17:15:11 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta2

2020-01-23 17:15:12 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-23 17:15:13 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-23 17:15:20 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-23 17:15:21 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-23 17:15:22 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-23 17:15:23 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-23 17:15:23 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-23 17:15:23 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-23 17:15:23 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-23 17:15:24 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-23 17:15:24 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-23 17:15:24 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-01-23 17:13:03 UTC

Size

42.1 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:1c8737e28b1ca4452315b0127f7c6f4ad64f0c4695a3b52b1a4a3d2d17d3bbd5 - 5.77% (2.43 MB)

[#001] sha256:571b2f63e036764d1d5e673dfc7f770249c01aa0fc9dbeaa54f73bf7d3965db1 - 0.0% (1.25 KB)

[#002] sha256:6bdfc7e36f6c6572babd891f10e971b5301d0c94ba3ba4f9068cde403911f51e - 94.22% (39.7 MB)

[#003] sha256:41e82c928f0ce114d2b49282bae9798cbf9b74b01557b8b924d7df645999009e - 0.0% (174 Bytes)

[#004] sha256:88eaef6855f19e7378d33e1400c3e76bee6a04fb3d3f1dd42cee1458e40031e8 - 0.0% (153 Bytes)

[#005] sha256:b58f9888018f2328fe2a0bd2dc0979b00dc06ba49e84fa5702fd64dc3f75b430 - 0.0% (1.67 KB)


History
2020-01-23 16:53:38 UTC

/bin/sh -c #(nop) ADD file:7e840db4b1f91900bcc3693359908c82f531fc44027d4d5327ef598e8710ed0f in /

2020-01-23 16:53:40 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:12:38 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-23 17:12:39 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta2

2020-01-23 17:12:40 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-23 17:12:42 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-23 17:12:52 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-23 17:12:55 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-23 17:12:57 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-23 17:12:58 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-23 17:12:58 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-23 17:12:59 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-23 17:13:01 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-23 17:13:01 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-23 17:13:02 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-23 17:13:03 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-01-23 17:20:14 UTC

Size

40.3 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:eb93038481ddcf86a625b70f7551cdc583e38886f206fe7e40ad644008efa815 - 6.37% (2.57 MB)

[#001] sha256:9deacae2102dc18ac24b3951859b2f43eec366e6e81b25351185b4508c25254c - 0.0% (1.25 KB)

[#002] sha256:1e638ccdd8875774f389b38759684bf52c5b3aa18166784cfeff644ed1f34ef4 - 93.62% (37.7 MB)

[#003] sha256:345c409a558c75ce51daa42568c19c55d376ce26a02b2ad1a7cafc098616fb56 - 0.0% (175 Bytes)

[#004] sha256:2bbfb4e4a376a69fe717f01710455532d8f456b5d4201a4d228e4c9a1169be81 - 0.0% (153 Bytes)

[#005] sha256:00c6e45fcd8bda7033cef20cfe4f0009469da0b03e5f3a716d8a485cb2b019b7 - 0.0% (1.66 KB)


History
2020-01-23 16:54:58 UTC

/bin/sh -c #(nop) ADD file:92767b5525acd9dbf8657931d32bdcc7cc504cdc33c95e84a75e478b00569bab in /

2020-01-23 16:54:59 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:19:49 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-23 17:19:50 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta2

2020-01-23 17:19:51 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-23 17:19:54 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-23 17:20:01 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-23 17:20:04 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-23 17:20:08 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-23 17:20:09 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-23 17:20:09 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-23 17:20:10 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-23 17:20:11 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-23 17:20:12 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-23 17:20:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-23 17:20:14 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]